Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBandedPolyDataContourFilter Class Reference

`#include <vtkBandedPolyDataContourFilter.h>`

Inheritance diagram for vtkBandedPolyDataContourFilter:

[legend]
Collaboration diagram for vtkBandedPolyDataContourFilter:

[legend]
List of all members.

## Detailed Description

generate filled contours for vtkPolyData

Date:
  2003/01/09 19:21:05

Revision:
  1.18

vtkBandedPolyDataContourFilter is a filter that takes as input vtkPolyData and produces as output filled contours (also represented as vtkPolyData). Filled conoturs are bands of cells that all have the same cell scalar value, and can therefore be colored the same. The method is also referred to as filled contour generation.

To use this filter you must specify one or more contour values. You can either use the method SetValue() to specify each contour value, or use GenerateValues() to generate a series of evenly spaced contours. Each contour value divides (or clips) the data into two pieces, values below the contour value, and values above it. The scalar values of each band correspond to the specified contour value. Note that if the first and last contour values are not the minimum/maximum contour range, then two extra contour values are added corresponding to the minimum and maximum range values. These extra contour bands can be prevented from being output by turning clipping on.

See also:
  vtkClipDataSet vtkClipPolyData vtkClipVolume vtkContourFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (90%)
  - Lee, Jeff (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkBandedPolyDataContourFilter.cxx)`
  - .`h` (`/Graphics/vtkBandedPolyDataContourFilter.h)`

Examples:
  vtkBandedPolyDataContourFilter (Examples)

Tests:
  vtkBandedPolyDataContourFilter (Tests)

Definition at line 77 of file vtkBandedPolyDataContourFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkPolyData * | GetContourEdgesOutput ()
unsigned long | GetMTime ()
void | SetValue (int i, float value)
float | GetValue (int i)
float * | GetValues ()
void | GetValues (float *contourValues)
void | SetNumberOfContours (int number)
int | GetNumberOfContours ()
void | GenerateValues (int numContours, float range[2])
void | GenerateValues (int numContours, float rangeStart, float rangeEnd)
virtual void | SetClipping (int)
virtual int | GetClipping ()
virtual void | ClippingOn ()
virtual void | ClippingOff ()
virtual void | SetScalarMode (int)
virtual int | GetScalarMode ()
void | SetScalarModeToIndex ()
void | SetScalarModeToValue ()
virtual void | SetGenerateContourEdges (int)
virtual int | GetGenerateContourEdges ()
virtual void | GenerateContourEdgesOn ()
virtual void | GenerateContourEdgesOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkBandedPolyDataContourFilter * | SafeDownCast (vtkObject *o)
vtkBandedPolyDataContourFilter * | New ()
## Protected Methods
| vtkBandedPolyDataContourFilter ()
| ~vtkBandedPolyDataContourFilter ()
void | Execute ()
int | ComputeScalarIndex (float)
int | IsContourValue (float val)
int | ClipEdge (int v1, int v2, vtkPoints *pts, vtkDataArray *scalars, vtkPointData *inPD, vtkPointData *outPD)
int | InsertCell (vtkCellArray *cells, int npts, vtkIdType *pts, int cellId, float s, vtkFloatArray *newS)
virtual void | SetInputScalarsSelection (const char *)
## Protected Attributes
vtkContourValues * | ContourValues
int | Clipping
int | ScalarMode
float * | ClipValues
int | NumberOfClipValues
int | ClipIndex [2]
float | ClipTolerance
int | GenerateContourEdges
char * | InputScalarsSelection

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkBandedPolyDataContourFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 80 of file vtkBandedPolyDataContourFilter.h.

## Constructor & Destructor Documentation

vtkBandedPolyDataContourFilter::vtkBandedPolyDataContourFilter | ( |  | ) | `[protected]`

vtkBandedPolyDataContourFilter::~vtkBandedPolyDataContourFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkBandedPolyDataContourFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkBandedPolyDataContourFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkBandedPolyDataContourFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkBandedPolyDataContourFilter* vtkBandedPolyDataContourFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkBandedPolyDataContourFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkBandedPolyDataContourFilter* vtkBandedPolyDataContourFilter::New | ( |  | ) | `[static]`

| Construct object with no contours defined. Reimplemented from vtkObject.

void vtkBandedPolyDataContourFilter::SetValue | ( | int | i,
|  | float | value
| ) | `[inline]`

| Methods to set / get contour values. A single value at a time can be set with SetValue(). Multiple contour values can be set with GenerateValues(). Note that GenerateValues() generates n values inclusive of the start and end range values. Definition at line 181 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::SetValue().

float vtkBandedPolyDataContourFilter::GetValue | ( | int | i | ) | `[inline]`

| Get the ith contour value. Definition at line 187 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::GetValue().

float * vtkBandedPolyDataContourFilter::GetValues | ( |  | ) | `[inline]`

| Get a pointer to an array of contour values. There will be GetNumberOfContours() values in the list. Definition at line 194 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::GetValues().

void vtkBandedPolyDataContourFilter::GetValues | ( | float * | contourValues | ) | `[inline]`

| Fill a supplied list with contour values. There will be GetNumberOfContours() values in the list. Make sure you allocate enough memory to hold the list. Definition at line 202 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::GetValues().

void vtkBandedPolyDataContourFilter::SetNumberOfContours | ( | int | number | ) | `[inline]`

| Set the number of contours to place into the list. You only really need to use this method to reduce list size. The method SetValue() will automatically increase list size as needed. Definition at line 210 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::SetNumberOfContours().

int vtkBandedPolyDataContourFilter::GetNumberOfContours | ( |  | ) | `[inline]`

| Get the number of contours in the list of contour values. Definition at line 216 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::GetNumberOfContours().

void vtkBandedPolyDataContourFilter::GenerateValues | ( | int | numContours,
|  | float | range[2]
| ) | `[inline]`

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values. Definition at line 223 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::GenerateValues().

void vtkBandedPolyDataContourFilter::GenerateValues | ( | int | numContours,
|  | float | rangeStart,
|  | float | rangeEnd
| ) | `[inline]`

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values. Definition at line 231 of file vtkBandedPolyDataContourFilter.h. References ContourValues, and vtkContourValues::GenerateValues().

virtual void vtkBandedPolyDataContourFilter::SetClipping | ( | int |  | ) | `[virtual]`

| Indicate whether to clip outside the range specified by the user. (The range is contour value[0] to contour value[numContours-1].) Clipping means all cells outside of the range specified are not sent to the output.

virtual int vtkBandedPolyDataContourFilter::GetClipping | ( |  | ) | `[virtual]`

| Indicate whether to clip outside the range specified by the user. (The range is contour value[0] to contour value[numContours-1].) Clipping means all cells outside of the range specified are not sent to the output.

virtual void vtkBandedPolyDataContourFilter::ClippingOn | ( |  | ) | `[virtual]`

| Indicate whether to clip outside the range specified by the user. (The range is contour value[0] to contour value[numContours-1].) Clipping means all cells outside of the range specified are not sent to the output.

virtual void vtkBandedPolyDataContourFilter::ClippingOff | ( |  | ) | `[virtual]`

| Indicate whether to clip outside the range specified by the user. (The range is contour value[0] to contour value[numContours-1].) Clipping means all cells outside of the range specified are not sent to the output.

virtual void vtkBandedPolyDataContourFilter::SetScalarMode | ( | int |  | ) | `[virtual]`

| Control whether the cell scalars are output as an integer index or a scalar value. If an index, the index refers to the bands produced by the clipping range. If a value, then a scalar value which is a value between clip values is used.

virtual int vtkBandedPolyDataContourFilter::GetScalarMode | ( |  | ) | `[virtual]`

| Control whether the cell scalars are output as an integer index or a scalar value. If an index, the index refers to the bands produced by the clipping range. If a value, then a scalar value which is a value between clip values is used.

void vtkBandedPolyDataContourFilter::SetScalarModeToIndex | ( |  | ) | `[inline]`

| Control whether the cell scalars are output as an integer index or a scalar value. If an index, the index refers to the bands produced by the clipping range. If a value, then a scalar value which is a value between clip values is used. Definition at line 118 of file vtkBandedPolyDataContourFilter.h. References VTK_SCALAR_MODE_INDEX.

void vtkBandedPolyDataContourFilter::SetScalarModeToValue | ( |  | ) | `[inline]`

| Control whether the cell scalars are output as an integer index or a scalar value. If an index, the index refers to the bands produced by the clipping range. If a value, then a scalar value which is a value between clip values is used. Definition at line 120 of file vtkBandedPolyDataContourFilter.h. References VTK_SCALAR_MODE_VALUE.

virtual void vtkBandedPolyDataContourFilter::SetGenerateContourEdges | ( | int |  | ) | `[virtual]`

| Turn on/off a flag to control whether contour edges are generated. Contour edges are the edges between bands. If enabled, they are generated from polygons/triangle strips and placed into the second output (the ContourEdgesOutput).

virtual int vtkBandedPolyDataContourFilter::GetGenerateContourEdges | ( |  | ) | `[virtual]`

| Turn on/off a flag to control whether contour edges are generated. Contour edges are the edges between bands. If enabled, they are generated from polygons/triangle strips and placed into the second output (the ContourEdgesOutput).

virtual void vtkBandedPolyDataContourFilter::GenerateContourEdgesOn | ( |  | ) | `[virtual]`

| Turn on/off a flag to control whether contour edges are generated. Contour edges are the edges between bands. If enabled, they are generated from polygons/triangle strips and placed into the second output (the ContourEdgesOutput).

virtual void vtkBandedPolyDataContourFilter::GenerateContourEdgesOff | ( |  | ) | `[virtual]`

| Turn on/off a flag to control whether contour edges are generated. Contour edges are the edges between bands. If enabled, they are generated from polygons/triangle strips and placed into the second output (the ContourEdgesOutput).

vtkPolyData* vtkBandedPolyDataContourFilter::GetContourEdgesOutput | ( |  | ) |

| Get the second output which contains the edges divinding the contour bands. This output is empty unless GenerateContourEdges is enabled.

unsigned long vtkBandedPolyDataContourFilter::GetMTime | ( |  | ) | `[virtual]`

| Overload GetMTime because we delegate to vtkContourValues so its modified time must be taken into account. Reimplemented from vtkObject.

void vtkBandedPolyDataContourFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkBandedPolyDataContourFilter::ComputeScalarIndex | ( | float |  | ) | `[protected]`

int vtkBandedPolyDataContourFilter::IsContourValue | ( | float | val | ) | `[protected]`

int vtkBandedPolyDataContourFilter::ClipEdge | ( | int | v1,
|  | int | v2,
|  | vtkPoints * | pts,
|  | vtkDataArray * | scalars,
|  | vtkPointData * | inPD,
|  | vtkPointData * | outPD
| ) | `[protected]`

int vtkBandedPolyDataContourFilter::InsertCell | ( | vtkCellArray * | cells,
|  | int | npts,
|  | vtkIdType * | pts,
|  | int | cellId,
|  | float | s,
|  | vtkFloatArray * | newS
| ) | `[protected]`

virtual void vtkBandedPolyDataContourFilter::SetInputScalarsSelection | ( | const char * |  | ) | `[protected, virtual]`

## Member Data Documentation

vtkContourValues* vtkBandedPolyDataContourFilter::ContourValues`[protected]`

| Definition at line 156 of file vtkBandedPolyDataContourFilter.h. Referenced by GenerateValues(), GetNumberOfContours(), GetValue(), GetValues(), SetNumberOfContours(), and SetValue().

int vtkBandedPolyDataContourFilter::Clipping`[protected]`

| Definition at line 158 of file vtkBandedPolyDataContourFilter.h.

int vtkBandedPolyDataContourFilter::ScalarMode`[protected]`

| Definition at line 159 of file vtkBandedPolyDataContourFilter.h.

float* vtkBandedPolyDataContourFilter::ClipValues`[protected]`

| Definition at line 162 of file vtkBandedPolyDataContourFilter.h.

int vtkBandedPolyDataContourFilter::NumberOfClipValues`[protected]`

| Definition at line 163 of file vtkBandedPolyDataContourFilter.h.

int vtkBandedPolyDataContourFilter::ClipIndex[2]`[protected]`

| Definition at line 164 of file vtkBandedPolyDataContourFilter.h.

float vtkBandedPolyDataContourFilter::ClipTolerance`[protected]`

| Definition at line 165 of file vtkBandedPolyDataContourFilter.h.

int vtkBandedPolyDataContourFilter::GenerateContourEdges`[protected]`

| Definition at line 168 of file vtkBandedPolyDataContourFilter.h.

char* vtkBandedPolyDataContourFilter::InputScalarsSelection`[protected]`

| Definition at line 170 of file vtkBandedPolyDataContourFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkBandedPolyDataContourFilter.h